//
//  Common (styles-m.css)
//  _____________________________________________
& when (@media-common = true) {
    .product.data.items {
        > .item {
            .item.title {
                position: relative;

                h4:after {
                    -webkit-font-smoothing: antialiased;
                    -moz-osx-font-smoothing: grayscale;
                    font-size: 14px;
                    line-height: inherit;
                    color: inherit;
                    content: '\e622';
                    font-family: 'luma-icons';
                    vertical-align: middle;
                    display: inline-block;
                    font-weight: 400;
                    overflow: hidden;
                    speak: none;
                    text-align: center;
                    position: absolute;
                    right: 10px;
                    top: 1px;
                }
            }

            &.active {
                .item.title {
                    h4:after {
                        content: '\e621';
                    }
                }
            }
        }
    }

    /*popup*/
    .size_chart_popup {
        .popup-title {
            font-size: 24px;
            line-height: 26.4px;
            font-weight: 700;
        }

        .popup-table {
            .tabs {
                clear: both;
                margin: 25px 0;
                min-height: 200px;
                position: relative;
            }
            .tab {
                float: left;
                input {
                    display: none;
                }
                label {
                    background: #eeeeee;
                    left: 1px;
                    margin-left: -1px;
                    padding: 10px;
                    position: relative;
                    cursor: pointer;
                    border: 1px solid #c9cac8;
                }
                .content {
                    border: none;
                    padding: 15px 0 0 0;

                    table {
                        text-align: center;
                        border: 1px solid #c9cac8;
                        max-width: 100%;
                        th {
                            text-align: center;
                            background: #a9b08933;
                            border: 1px solid #c9cac8;
                        }
                        td {
                            border: 1px solid #c9cac8;
                        }
                    }
                }

            }
            .content {
                background: white;
                border: 1px solid #cccccc;
                bottom: 0;
                left: 0;
                padding: 20px;
                position: absolute;
                right: 0;
                top: 28px;
                height: 300px;
            }
            [type=radio] {
                &:checked~label {
                    background: #a9b089;
                    font-weight: 700;
                    border: 1px solid #c9cac8;
                    z-index: 2;
                }
                &:checked~label~.content {
                    z-index: 1;
                }
            }
        }

        .popup-tips {
            padding-top: 120px;

            .popup-tips-title {
                font-size: 19px;
                line-height: 21px;
                font-weight: 700;
        }

            .popup-tips-text {
                padding-bottom: 15px;
                border-bottom: 1px solid #9ba8b5;
            }

            .popup-tips-howto {
                display: flex;
                justify-content: space-between;

                .popup-tips-howto-column {
                    img {
                        margin-top: 20px;
                    }

                    h3 {
                        margin-bottom: 30px;
                    }

                    h4 {
                        margin: 5px 0;
                    }

                    &:first-child {
                        width: 40%;
                    }
                    &:last-child {
                        width: 55%;                    }
                }
            }

        }

        }

    .modal-popup {
        .modal-inner-wrap {
            width: 50%;
        }

        .modal-footer {
            button {
                font-family: 'Roboto', sans-serif;
                color: #1a1a1a;
                float: right;
                border-radius: 0;
                border: 1px solid #000;
                background: transparent;
            }
        }
    }

}


//
//  Mobile (styles-m.css)
//  _____________________________________________

.media-width(@extremum, @break) when (@extremum = 'max') and (@break = @screen__s) {
    // your code
}

.media-width(@extremum, @break) when (@extremum = 'max') and (@break = @screen__m) {
    .product.info.detailed {
        .product.data {
            margin: 10px  10px;
        }
    }
}

//
//  Tablet
//  _____________________________________________

// This will add styles for tablet devices. When using native media-queries, we recommend wrapping your media-queries with media-width Magento mixins or media-target
& when (@media-target = 'desktop'), (@media-target = 'all') {
    @media only screen and (min-width: @screen__m) and (max-width: @screen__xl - 1) {

    }
}

//
//  Desktop (style-l.css)
//  _____________________________________________

.media-width(@extremum, @break) when (@extremum = 'min') and (@break = @screen__m) {
    /*{
    box-sizing: border-box;
}

/*product-info-main*/
    .product-info-main {
        .page-title-wrapper {
            .page-title {
                font-size: 24px;
                font-weight: 400;
                line-height: 26px;
            }
        }

        .wrapper-sku {
            display: flex;
            justify-content: space-between;

            .product-info-stock-sku {
                padding: 5px 0 0 0;

                .stock {
                    display: none;
                }

            }
        }

        .main-line {
            .saving {
                font-size: 14px;
                text-transform: uppercase;
                font-weight: 400;

                strong {
                    color: #9a1a28;
                }
            }
        }

        .second-line {
            font-size: 11px;
            color: #797a7b;
            margin-top: -2px;
            border-bottom: 1px solid #c1c1c1;
        }
    }




    /*product-add-form*/
    .product-add-form {
        position: relative;

        .field.qty {
            position: absolute;
            bottom: 27%;
            left: 70%;
        }

        .size_chart {
            position: absolute;
            right: 55%;
            bottom: 51%;
            color: #22505f;
            border-bottom: 1px solid #22505f;
            font-size: 13px;
            line-height: 13px;
            font-weight: 600;
            font-style: italic;
            text-decoration: none;
        }
    }

    /*button*/
    .actions {
        .action.primary {
            background: #22505f;
            text-transform: uppercase;
            font-weight: 700;
            font-size: 16px;
            letter-spacing: 1px;
            line-height: 20px;
            border-radius: 0;
            width: 81%;
        }
    }

    /*product*/
    .product {
        .ksp-list {
            padding-left: 15px;

            li {
                line-height: 15px;
                font-size: 14px;
            }
        }

        .shipment {
            margin: 20px 0 20px 20px;

        }

        .product.data {
            margin-bottom: 0;

            .item {
                .title {
                    border-top: 1px solid #c7c7c7;
                    cursor: pointer;

                    h4 {
                        margin: 10px 20px 10px;
                        position: relative;
                    }
                }
            }
        }

        .block.related {
            margin: 20px 20px;
        }
    }

    .prod-details {
        display: flex;
        justify-content: space-between;

        .prod-details-about {
            width: 60%;
            margin-left: 20px;

            .prod-details-title {
                line-height: 17.5px;
                font-weight: 600;
                font-size: 16px;
            }

            .prod-details-text {
                line-height: 20px;
                font-size: 14px;
                font-weight: 400;
            }
        }

        .prod-details-container {
            width: 40%;

            .prod-details-container-inner {
                border: 1px solid #c7c7c7;
                padding: 5px;
                margin: 0 10px;

                .prod-details-container-inner-wrap {
                    border: 1px dashed #c7c7c7;
                    text-align: center;
                    padding: 0 10px;

                    h2 {
                        margin-bottom: 10px;
                        color: #22505f;
                        font-size: 16px;
                        line-height: 20px;
                        font-weight: 700;
                    }

                    p {
                        padding-bottom: 15px;
                        color: #5f5f5f;
                        font-size: 14px;
                        line-height: 18px;
                        font-style: italic;
                    }

                    p.sub-titles {
                        display: inline-block;
                        color: #242424;
                        font-size: 13px;
                        line-height: 20px;
                        font-style: normal;
                    }
                }
            }
        }
    }

    /*why-we-love-it*/
    .why-we-love-it {
        border-top: 1px solid #c7c7c7;
        border-bottom: 1px solid #c7c7c7;
        padding-bottom: 30px;

        h3 {
            display: block;
            font-weight: 700;
            font-size: 1.4rem;
            text-align: left;
            padding-left: 20px;
        }

        .why-we-love-it-inner {
            display: flex;
            justify-content: space-between;

            .why-we-love-it-block {
                text-align: center;
                padding: 20px;
                max-width: 30%;

                .wwl-block-img {
                    display: block;
                    max-width: 100%;
                    margin-right: auto;
                    margin-left: auto;
                    border-radius: 50%;
                }

                h4 {
                    display: block;
                    margin-top: 15px;
                    margin-bottom: 15px;
                    color: #000;
                    font-size: 19px;
                    line-height: 20px;
                }

                span {
                    display: block;
                    width: 15%;
                    margin-right: auto;
                    margin-left: auto;
                    border-bottom: 5px solid #a9b089;
                    border-radius: 4px;
                }

                p {
                    display: block;
                    margin-top: 15px;
                    color: #525252;
                    font-size: 14px;
                    line-height: 20px;
                }
            }
        }

        a {
            color: #ffffff;
            background: rgb(34, 80, 95);
            font-size: 15px;
            cursor: pointer;
            padding: 14px 0;
            text-decoration: none;
            line-height: 20px;
            text-align: center;
            display: block;
            width: 50%;
            margin: 0 auto;
        }

    }

}

.media-width(@extremum, @break) when (@extremum = 'min') and (@break = @screen__l) {
    // your code
}

.media-width(@extremum, @break) when (@extremum = 'min') and (@break = @screen__xl) {
    // your code
}
